<section id="ia-box">
	
	<h1 class="heading">IA Boxes <small>Blocks in columns and content</small></h1>

	<p>This is how you can create blocks in your <code>*.tpl</code> files when developing templates or plugins/packages.</p>

    <div class="bs-docs-example">
        <div id="block_html_block" class="box collapsible">
            <h4 id="caption_html_block" class="box-caption">
                HTML block
            </h4>
            <div id="content_html_block" class="box-content">
                <p>Ne lorem percipit efficiantur mei, ius ut simul vidisse. An vel probatus explicari appellantur. Has et comprehensam interpretaris, quo no inimicus maluisset temporibus. Ea mea quod.</p>
            </div>
        </div>
    </div>

<pre class="prettyprint linenums">{literal}
{ia_block title='My block title' name='block_unique_name' header=1 collapsible=1 movable=1}
  &lt;p&gt;Ne lorem percipit efficiantur mei, ius ut simul vidisse. An vel probatus explicari appellantur. Has et comprehensam interpretaris, quo no inimicus maluisset temporibus. Ea mea quod.&lt;/p&gt;
{/ia_block}
{/literal}</pre>

	<p>This SMARTY code will produce this HTML structure:</p>

<pre class="prettyprint linenums">
&lt;div id=&quot;block_html_block&quot; class=&quot;box collapsible&quot;&gt;
  &lt;h4 id=&quot;caption_html_block&quot; class=&quot;box-caption&quot;&gt;
    HTML block
  &lt;/h4&gt;
  &lt;div id=&quot;content_html_block&quot; class=&quot;box-content&quot;&gt;
    &lt;p&gt;Ne lorem percipit efficiantur mei, ius ut simul vidisse. An vel probatus explicari appellantur. Has et comprehensam interpretaris, quo no inimicus maluisset temporibus. Ea mea quod.&lt;/p&gt;
  &lt;/div&gt;
&lt;/div&gt;
</pre>

	<h3>Styling boxes</h3>

	<p>You can add several classes to boxes in admin panel. Currently we have only <code>.box-clear</code> class</p>

	<div class="bs-docs-example">
		<div id="block_html_block" class="box box-clear collapsible">
			<h4 id="caption_html_block" class="box-caption">
				HTML block
			</h4>
			<div id="content_html_block" class="box-content">
				<p>Ne lorem percipit efficiantur mei, ius ut simul vidisse. An vel probatus explicari appellantur. Has et comprehensam interpretaris, quo no inimicus maluisset temporibus. Ea mea quod.</p>
			</div>
		</div>
	</div>

</section>

{ia_add_js}
	$(document).ready(function() {

		// make code pretty
		window.prettyPrint && prettyPrint();

	});
{/ia_add_js}

{ia_print_js files='_IA_URL_plugins/iabootstrap/js/front/google-code-prettify/prettify'}
{ia_print_css files='_IA_URL_plugins/iabootstrap/templates/front/css/iabootstrap, _IA_URL_plugins/iabootstrap/js/front/google-code-prettify/prettify'}